from cpl_core.database import DatabaseSettings
from cpl_core.database.context import DatabaseContextABC

from bot_core.logging.database_logger import DatabaseLogger
from migration_to_sql.mock.mock_cursor import MockCursor


class MockDBContext(DatabaseContextABC):
    def __init__(self):
        DatabaseContextABC.__init__(self)

    @property
    def cursor(self) -> MockCursor:
        return MockCursor()

    def connect(self, database_settings: DatabaseSettings):
        pass

    def save_changes(self):
        pass

    def select(self, statement: str) -> list[tuple]:
        pass
